Get all transactions
curl --request GET \
--url https://api.orafi.app/v1/transactions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orafi.app/v1/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orafi.app/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Transactions retrieved successfully",
"data": {
"transactions": [
{
"id": "tx_abc123",
"amount": 100,
"currency": "USDC",
"status": "CONFIRMED",
"type": "PAYMENT",
"fromAddress": "<string>",
"toAddress": "<string>",
"txDigest": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"count": 123,
"nextCursor": "<string>",
"hasNextPage": true
}
}{
"success": false,
"message": "Unauthorized access"
}Transactions
List Transactions
Retrieve all transactions for the authenticated merchant
GET
/
transactions
Get all transactions
Authorizations
API key for merchant authentication required for most endpoints
Query Parameters
Filter by transaction mode
Available options:
test, live Filter by transaction type
Available options:
PAYMENT, REFUND, PAYOUT Filter by transaction status
Available options:
COMPLETED, PENDING, FAILED Filter by customer ID
Filter by payment method used
Available options:
HOSTED_CHECKOUT, PAYMENT_LINK Filter by currency used to intiate transaction
Filter by network used to initiate transaction
Filter by payment link ID(used only when status is set to PAYMENT)
Number of records to return
Pagination cursor
Filter transactions by date using either a preset interval or a custom date range.
Preset example: { "type": "preset", "interval": "last7days" }
Range example: { "type": "range", "startDate": "2026-05-01", "endDate": "2026-05-25" }
- Option 1
- Option 2
Show child attributes
Show child attributes
